Bug 1795029 - Review Request: libquotient - A Qt5 library to write cross-platform clients for Matrix
Summary: Review Request: libquotient - A Qt5 library to write cross-platform clients f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Artem
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-26 14:23 UTC by Vitaly Zaitsev
Modified: 2020-01-31 02:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 02:01:35 UTC
Type: ---
ego.cordatus: fedora-review+


Attachments (Terms of Use)

Description Vitaly Zaitsev 2020-01-26 14:23:37 UTC
Spec URL: https://github.com/EasyCoding/qmatrix/raw/master/libquotient.spec
SRPM URL: https://xvitaly.fedorapeople.org/for-review/libquotient-0.6.0-0.2.20200121gite3a5b3a.fc31.src.rpm
Description: A Qt5 library to write cross-platform clients for Matrix
Fedora Account System Username: xvitaly

Comment 1 Artem 2020-01-26 17:26:14 UTC
1. Source0: %{url}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
   ->
   Source0: %{url}/archive/%{commit0}/%{name}-%{version}.%{date}git%{shortcommit}.tar.gz

2. Description field we can stretch to 80 symbols:

The Quotient project aims to produce a Qt5-based SDK to develop
applications for Matrix. libQuotient is a library that enables
client applications. It is the backbone of Quaternion, Spectral
and other projects. Versions 0.5.x and older use the previous
name - libQMatrixClient.

   ->

The Quotient project aims to produce a Qt5-based SDK to develop applications for
Matrix. libQuotient is a library that enables client applications. It is the
backbone of Quaternion, Spectral and other projects. Versions 0.5.x and older
use the previous name - libQMatrixClient.

3. We should use 'RelWithDebInfo'. Probably.

   -DCMAKE_BUILD_TYPE=Release \
   ->
   -DCMAKE_BUILD_TYPE=RelWithDebInfo \

4. Summary: A Qt5 library to write cross-platform clients for Matrix
   ->
   Summary: Qt5 library to write cross-platform clients for Matrix

5. %{_libdir}/cmake/%{appname}
   ->
   %{_libdir}/cmake/%{appname}/

---

All this minor issues could be fixed during import. Please fix before import. Package approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/


===== MUST items =====

C/C++:
[x]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/include/Quotient(Failed,
     C, defaulting, locale,, to, set), /usr/include/Quotient/application-
     service(Failed, C, defaulting, locale,, to, set),
     /usr/include/Quotient/application-service/definitions(Failed, C,
     defaulting, locale,, to, set), /usr/include/Quotient/csapi(Failed, C,
     defaulting, locale,, to, set),
     /usr/include/Quotient/csapi/definitions(Failed, C, defaulting,
     locale,, to, set),
     /usr/include/Quotient/csapi/definitions/wellknown(Failed, C,
     defaulting, locale,, to, set), /usr/include/Quotient/events(Failed, C,
     defaulting, locale,, to, set), /usr/include/Quotient/identity(Failed,
     C, defaulting, locale,, to, set),
     /usr/include/Quotient/identity/definitions(Failed, C, defaulting,
     locale,, to, set), /usr/include/Quotient/jobs(Failed, C, defaulting,
     locale,, to, set), /usr/lib64/cmake/Quotient(Failed, C, defaulting,
     locale,, to, set), /usr/share/doc/libquotient(Failed, C, defaulting,
     locale,, to, set), /usr/share/licenses/libquotient(Failed, C,
     defaulting, locale,, to, set)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.21 starting (python version = 3.7.6)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
INFO: Signal handler active
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.21
INFO: Mock Version: 1.4.21
Finish: chroot init
INFO: installing package(s): /mnt/data-linux/rpmbuild/for-review/1795029-libquotient/results/libquotient-debugsource-0.6.0-0.2.20200121gite3a5b3a.fc32.x86_64.rpm /mnt/data-linux/rpmbuild/for-review/1795029-libquotient/results/libquotient-devel-0.6.0-0.2.20200121gite3a5b3a.fc32.x86_64.rpm /mnt/data-linux/rpmbuild/for-review/1795029-libquotient/results/libquotient-debuginfo-0.6.0-0.2.20200121gite3a5b3a.fc32.x86_64.rpm /mnt/data-linux/rpmbuild/for-review/1795029-libquotient/results/libquotient-0.6.0-0.2.20200121gite3a5b3a.fc32.x86_64.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /home/tim/.var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 31 --setopt=deltarpm=False --allowerasing --disableplugin=local --disableplugin=spacewalk install /mnt/data-linux/rpmbuild/for-review/1795029-libquotient/results/libquotient-debugsource-0.6.0-0.2.20200121gite3a5b3a.fc32.x86_64.rpm /mnt/data-linux/rpmbuild/for-review/1795029-libquotient/results/libquotient-devel-0.6.0-0.2.20200121gite3a5b3a.fc32.x86_64.rpm /mnt/data-linux/rpmbuild/for-review/1795029-libquotient/results/libquotient-debuginfo-0.6.0-0.2.20200121gite3a5b3a.fc32.x86_64.rpm /mnt/data-linux/rpmbuild/for-review/1795029-libquotient/results/libquotient-0.6.0-0.2.20200121gite3a5b3a.fc32.x86_64.rpm --setopt=tsflags=nocontexts



Rpmlint
-------
Checking: libquotient-0.6.0-0.2.20200121gite3a5b3a.fc32.x86_64.rpm
          libquotient-devel-0.6.0-0.2.20200121gite3a5b3a.fc32.x86_64.rpm
          libquotient-debuginfo-0.6.0-0.2.20200121gite3a5b3a.fc32.x86_64.rpm
          libquotient-debugsource-0.6.0-0.2.20200121gite3a5b3a.fc32.x86_64.rpm
          libquotient-0.6.0-0.2.20200121gite3a5b3a.fc32.src.rpm
libquotient.x86_64: W: spelling-error %description -l en_US libQMatrixClient 
libquotient-devel.x86_64: W: no-documentation
libquotient.src: W: spelling-error %description -l en_US libQMatrixClient 
5 packages and 0 specfiles checked; 0 errors, 3 warnings.




Source checksums
----------------
https://github.com/quotient-im/libQuotient/archive/e3a5b3a5e5253fc5ce67574b01e8d25ec14e4d25.tar.gz#/libquotient-e3a5b3a.tar.gz :
  CHECKSUM(SHA256) this package     : e54ea5c6553a285ae4e86a606b07ac19bed40ded97024b70e140da186a7c5668
  CHECKSUM(SHA256) upstream package : e54ea5c6553a285ae4e86a606b07ac19bed40ded97024b70e140da186a7c5668


Requires
--------
libquotient (rpmlib, GLIBC filtered):
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.13)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Multimedia.so.5()(64bit)
    libQt5Multimedia.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQtOlm.so.0.1()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

libquotient-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    cmake-filesystem(x86-64)
    libQuotient.so.0.6()(64bit)
    libquotient(x86-64)

libquotient-debuginfo (rpmlib, GLIBC filtered):

libquotient-debugsource (rpmlib, GLIBC filtered):



Provides
--------
libquotient:
    libQuotient.so.0.6()(64bit)
    libquotient
    libquotient(x86-64)

libquotient-devel:
    cmake(Quotient)
    libquotient-devel
    libquotient-devel(x86-64)
    pkgconfig(Quotient)

libquotient-debuginfo:
    debuginfo(build-id)
    libquotient-debuginfo
    libquotient-debuginfo(x86-64)

libquotient-debugsource:
    libquotient-debugsource
    libquotient-debugsource(x86-64)



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1795029
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, C/C++, Shell-api
Disabled plugins: R, PHP, Python, Haskell, fonts, SugarActivity, Perl, Java, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Gwyn Ciesla 2020-01-27 14:17:50 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libquotient

Comment 3 Fedora Update System 2020-01-27 19:15:01 UTC
FEDORA-2020-1a4a091881 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1a4a091881

Comment 4 Fedora Update System 2020-01-31 02:01:35 UTC
libqtolm-0-4.20190930gitf2d8e23.fc31, libquotient-0.6.0-0.2.20200121gite3a5b3a.fc31, spectral-0-6.20200123git6af7bef.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.